Subject: bug#53596: 29.0.50; comp-trampoline-compile: Cannot find suitable directory for output in `native-comp-eln-load-path'

From: Andrea Corallo <[email-masked]>
Date: Fri, 28 Jan 2022 09:50:40 +0000

Manuel Uberti via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <[email-masked]> writes:

> I have just built Emacs master, on commit 84d4a34919 ("Fix duplicate
> scroll events without XI2") to be more precise.
>
> When I start Emacs (using 'emacs' and not 'emacs -Q'), I get the error
> reported in the subject: "comp-trampoline-compile: Cannot find
> suitable directory for output in `native-comp-eln-load-path'".
>
> 'C-h v native-comp-eln-load-path' shows me:
> ("/usr/local/libexec/emacs/29.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/29.0.50/native-lisp/")

Hi Manuel,

in `native-comp-eln-load-path' you should have a directory where emacs
can create and depose files in order to work correctly.

Your `native-comp-eln-load-path' should look more something like:

("/home/manuel/.emacs.d/eln-cache/" "/usr/local/libexec/emacs/29.0.50/x86_64-pc-linux-gnu/../../../../bin/../lib/emacs/29.0.50/native-lisp/")

Are you modifying `native-comp-eln-load-path' in your configuration?

BR

  Andrea